* {
	font-family: system-ui;
}

div#toolbox {
	/*padding: 0 30px 30px;*/
}

div#viewbox {
	position: fixed;
	z-index: 2;
	top: 0;
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: flex-start;
	pointer-events: none;
	transform: scale(0);
	background: rgba(0, 0, 0, 0);
	opacity: 0.5;
	transition: 600ms;
}

div#viewbox.show {
	pointer-events: auto;
	transform: scale(1);
	background: rgba(0, 0, 0, 0.8);
	opacity: 1;
}

div#viewbox div#pic {
	position: relative;
	width: calc(100% - 40px);
	height: calc(100% - 120px);
	margin: 20px 20px 12px;
	overflow-x: hidden;
	overflow-y: hidden;
	border-radius: 10px;
	border: 1px solid #ccc;
	box-shadow: 0 0 10px #ddd;
}

div#viewbox div#pic img.enlarged {
	height: 100%;
	border-radius: 9px;
	transition: 500ms;
	animation: swing 6s cubic-bezier(0.65, 0.05, 0.36, 1) infinite alternate;
}

div#viewbox div#pic img.overlay {
	max-width: 80%;
	position: absolute;
	bottom: 30px;
	left: 50%;
	transform: translateX(-50%);
	display: none;
}

div#viewbox div#pic img.overlay.on {
	display: block;
}

div#viewbox a#download {
	width: 80px;
	border: none;
	background: none;
}

div#viewbox a#download.lb svg {
	fill: #057ba7;
}

div#viewbox a#download.hb svg {
	fill: #af886f;
}

@keyframes swing {
	from {
		transform: translateX(0);
	}
	to {
		transform: translateX(var(--max-x));
	}
}

section:first-of-type {
	margin-top: 5px;
}

section {
	margin-top: 20px;
}

section > .title {
	display: block;
	padding: 10px;
	font-weight: 500;
	background:rgba(255, 255, 255, 0.8);
	border: 1px solid #eee;
	border-radius: 5px 5px 0 0;
	text-align: center;
	color: #835a00;
}

section .content {
	height: var(--h);
	display: flex;
	flex-direction: column;
	overflow: hidden;
	padding-bottom: 6px;
	background:rgba(130, 90, 0, 0.7);
	border-top: none;
	border-radius: 0 0 10px 10px;
	transition: 500ms;
}

section .content.close {
	height: 0px;
	padding-bottom: 0px;
}

section .serviceSelection,
section .unitSelection {
	padding: 15px 15px 5px;
	display: flex;
	justify-content: space-around;
}

section .serviceSelection span,
section .unitSelection span {
	flex: 1;
	padding: 10px;
	color: #bbb;
	background: rgba(255, 255, 255, 0.15);
	text-align: center;
	transition: 300ms;
}

section .serviceSelection span:nth-child(1),
section .unitSelection span:nth-child(1) {
	border-radius: 5px 0 0 5px;
}

section .serviceSelection span:nth-child(2),
section .unitSelection span:nth-child(2) {
	border-radius: 0 5px 5px 0;
}

section .serviceSelection span.on,
section .unitSelection span.on {
	color: #fff;
	background: rgba(255, 255, 255, 0.25);
}

section#services div#lbService .title {
	color: #1e3851;
}	

section#services div.service {
	padding: 0;
	display: none;
	flex-direction: column;
	position: relative;
}

section#services div.service.show {
	display: flex;
	padding: 15px;
}

section#services div.service div.background {
	width: calc(100% - 32px);
	height: calc(100% - 32px);
	margin: 16px;
	position: absolute;
	z-index: 0;
	top: 0;
	left: 0;
	display: flex;
	justify-content: center;
	border-radius: 10px;
	overflow: hidden;
}

section#services div.service div.background img {
	height: 100%;
}

section#services div.service .description {
	z-index: 1;
	padding: 20px;
	background:rgba(255, 255, 255, 0.1);
	border: 1px solid #fff;
	border-radius: 10px;
}

section#services div.service .description img {
	max-width: 100%;
	padding: 10px 0;
}

section#services div.service .description span {
	font-size: 1.1em;
	line-height: 200%;
	color: #eee;
}

section#galleries img {
	margin: 10px 10px 5px;
	border-radius: 10px;
}

section#galleries .gallery {
	display: none;
	flex-direction: column;
	overflow-x: hidden;
	overflow-y: auto;
}

section#galleries .gallery.show {
	display: flex;
}

section#simulator .dateSelection {
	padding: 15px 15px 5px;
	display: none;
}

section#simulator .dateSelection.show {
	display: block;
}

section#simulator .dateSelection .calendar {
	margin: 0;
}

section#simulator .days {
	display: block;
	padding: 10px 0 0;
	font-size: 1.3em;
	text-align: center;
	color: #eee;
}

section#simulator .days.hide {
	display: none;
}

section#simulator .days:empty {
	padding: 0 0 0;
}

section#simulator .durations {
	display: none;
	justify-content: space-around;
	padding: 15px;
}

section#simulator .durations.show {
	display: flex;
}

section#simulator .durations span,
section#simulator .variants .variant span {
	flex: 1;
	padding: 10px 0;
	background: rgba(255, 255, 255, 0.1);
	color: #bbb;
	text-align:center;
}

section#simulator .durations span:first-of-type,
section#simulator .variants .variant span:first-of-type {
	border-radius: 0 0 0 20px;
}

section#simulator .durations span:last-of-type,
section#simulator .variants .variant span:last-of-type {
	border-radius: 0 0 20px 0;
}

section#simulator .durations span:not(:last-of-type),
section#simulator .variants .variant span:not(:last-of-type) {
	border-right: 1px solid #999;
}

section#simulator .durations span.on,
section#simulator .variants .variant span.on {
	background: rgba(255, 255, 255, 0.3);
	color: #fff;
}

section#simulator .variants .variant {
	margin: 0 5px;
	display: flex;
}

section#simulator .variants .variant.hide {
	display: none;
}

section#simulator .options,
section#simulator .variants {
	padding: 10px;
	display: none;
	flex-direction: column;
	color: #eee;
}

section#simulator .options.show,
section#simulator .variants.show {
	display: flex;
}

section#simulator .options span,
section#simulator .variants > span
{
	margin: 0 5px;
}

section#simulator .options span,
section#simulator .variants span {
	padding: 10px 0;
	text-align: center;
	background: rgba(255, 255, 255, 0.05);
	color: #bbb;
	transition: 300ms;
}

section#simulator .options span.hide {
	display: none;
}

section#simulator .options span.on {
	padding: 10px 0;
	text-align: center;
	background: rgba(255, 255, 255, 0.5);
	color: #835a00;
}

section#simulator .options span:first-of-type,
section#simulator .variants > span:first-of-type {
	font-size: 1.1em;
	font-weight: 600;
	background: rgba(255, 255, 255, 0.2);
	border-radius: 10px 10px 0 0;
	color: #fff;
}

section#simulator .options span:last-of-type {
	border-radius: 0 0 10px 10px;
}

section#simulator div#estimate {
	display: flex;
	padding: 10px 15px;
}

section#simulator div#estimate button {
	flex: 1;
	border: none;
	outline: none;
	padding: 10px 0;
	font-weight: 500;
	font-size: 1em;
	border-radius: 4px;
	background: rgba(255, 255, 255, 0.1);
	box-shadow: 1px 1px 2px #000;
	color: #ccc;
	opacity: 0.5;
	transition: 300ms;
}

section#simulator div#estimate button.on {
	background: rgba(255, 255, 255, 0.8);
	color: #333;
	opacity: 1;
}

section#simulator span#totalPrice,
section#simulator span#unitPrice {
	color: #eee;
	text-align: center;
}

section#simulator span#totalPrice {
	padding: 5px 0px;
	font-size: 1.3em;
}

section#simulator span#totalPrice:empty {
	padding: 0px 0px;
}

section#simulator span#unitPrice {
	font-style: italic;
	padding-bottom: 15px;
}

section#simulator span#unitPrice:empty {
	padding-bottom: 0px;
}

section#questions div.questions {
	display: none;
	flex-direction: column;
}

section#questions div.questions.show {
	display: flex;
}

section#questions div.questions div.category span.title {
	display: block;
	padding: 15px 0;
	text-align: center;
	font-size: 1.3em;
	font-weight: 600;
	letter-spacing: 4px;
	color: #fff;
	opacity: 1;
	transition: 500ms;
}

section#questions div.questions div.category span.title.off {
	opacity: 0.5;
}

section#questions div.questions div.category [data-category] {
	height: var(--h);
	overflow: hidden;
	transition: 500ms;
}

section#questions div.questions div.category [data-category].hide {
	height: 0px;
}

section#questions div.questions div.category [data-category] .qa {
	padding: 10px 15px;
}

section#questions .question,
section#questions .response,
section#services .title,
section#services .description {
	display: block;
	/*margin: 0 15px;*/
	padding: 10px;
	text-align: center;
}

section#questions .question,
section#services .title {
	font-weight: 500;
	background:rgba(255, 255, 255, 0.8);
	border: 1px solid #eee;
	border-radius: 5px 5px 0 0;
	color: #835a00;
}

section#questions .response {
	display: flex;
	flex-direction: column;
	background:rgba(255, 255, 255, 0.1);
	border-top: none;
	border-radius: 0 0 10px 10px;
	color: #eee;
}